webcam Module Reference

Webcam Management. More...

## Classes

interface | Channel_1_0_1
| The channel interface. More...
struct | Controls
| Controls. More...
struct | Format_2_0_0
| Format. More...
struct | Image_2_0_0
| Image. More...
struct | ImageMetaData
| Image meta data. More...
struct | Information_3_0_0
| Webcam information. More...
struct | Location
| Location. More...
struct | Settings_2_0_0
| Webcam settings. More...
interface | StorageManager_1_0_2
| The storage manager interface. More...
interface | Webcam_2_0_1
| The webcam interface. More...
interface | WebcamManager_2_0_1
| The webcam manager interface. More...

## Enumerations

enum | PixelFormat { MJPEG, JPEG, RGB, YUV }
| PixelFormat. More...
enum | PowerLineFrequency { NOT_SUPPORTED, HZ50, HZ60, DISABLED }
| PowerLineFrequency.
enum | Priority { VERY_LOW, LOW, NORMAL, HIGH, VERY_HIGH }
| Priority. More...

## Variables

valueobject | WebcamEvent_1_0_1
| Base type of all webcam event. More...
Information_3_0_0 | information
| Information about the camera.
string | name
| The user-assigned camera name.
valueobject | WebcamAddedEvent_1_0_1
| This event is emitted after a webcam was added.
valueobject | WebcamRemovedEvent_1_0_1
| This event is emitted after a webcam has been removed.

## Detailed Description

Webcam Management.

## Enumeration Type Documentation

## PixelFormat

enum webcam::PixelFormat

PixelFormat.

Enumerator
MJPEG | Motion JPEG.
JPEG | JPEG.
RGB | RGB encoded.
YUV | YUV encoded.

## Priority

enum webcam::Priority

Priority.

Enumerator
VERY_LOW | very low
LOW | low
NORMAL | normal
HIGH | high
VERY_HIGH | very high

## Variable Documentation

## WebcamEvent_1_0_1

valueobject webcam::WebcamEvent_1_0_1

Base type of all webcam event.

The webcam which was affected